#!/usr/bin/python
# coding=utf-8

# Les modules nécessaires sont importés et mis en place
import RPi.GPIO as GPIO
import time
  
GPIO.setmode(GPIO.BCM)
  
# La broche d'entrée du capteur est déclarée. En outre la résistance de Pull-up est activée.
LED_PIN = 24
GPIO.setup(LED_PIN, GPIO.OUT, initial= GPIO.LOW)
  
print "LED-Test [Appuyez sur Ctrl + C pour terminer le test]"
 
# Boucle de programme principale
try:
        while True:
                print("LED 4 secondes ON")
                GPIO.output(LED_PIN,GPIO.HIGH) #la LED est allumée
                time.sleep(4) #Temporisation de 4 secondes
                print("LED 2 secondes OFF") 
                GPIO.output(LED_PIN,GPIO.LOW) #La LED est éteinte
                time.sleep(2) #Temporisation de 2 secondes
  
# remise en place de tous les GPIO en entrées
except KeyboardInterrupt:
        GPIO.cleanup()